ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

CmmMonad

# Documentation

newtype PD a #

Constructors

PD |

Fields

- unPD :: DynFlags -> PState -> ParseResult a

Instances

Monad PD # |
Methods (>>=) :: PD a -> (a -> PD b) -> PD b Source # (>>) :: PD a -> PD b -> PD b Source # return :: a -> PD a Source # fail :: String -> PD a Source #
Functor PD # |
Methods fmap :: (a -> b) -> PD a -> PD b Source # (<$) :: a -> PD b -> PD a Source #
MonadFail PD # |
Methods fail :: String -> PD a Source #
Applicative PD # |
Methods pure :: a -> PD a Source # (<*>) :: PD (a -> b) -> PD a -> PD b Source # liftA2 :: (a -> b -> c) -> PD a -> PD b -> PD c Source # (*>) :: PD a -> PD b -> PD b Source # (<*) :: PD a -> PD b -> PD a Source #
HasDynFlags PD # |
Methods getDynFlags :: PD DynFlags #

liftP :: P a -> PD a #